package cn.amtxts.linker.cordova;

import android.app.Activity;

import org.apache.cordova.CallbackContext;
import org.apache.cordova.CordovaPlugin;
import org.json.JSONArray;
import org.json.JSONException;

import java.util.ArrayList;
import java.util.Arrays;

import cn.rongcloud.im.server.utils.NLog;

public class CordovaLinker extends CordovaPlugin {
    private final String TAG = CordovaLinker.class.getSimpleName();
    public static final String _quit = "goBack";
    public static final ArrayList<String> Actions = new ArrayList<String>(Arrays.asList(_quit));

    @Override
    protected void pluginInitialize() {
        super.pluginInitialize();
    }

    @Override
    public boolean execute(String action, JSONArray args, CallbackContext callbackContext) throws JSONException {
        final Activity activity = this.cordova.getActivity();
        switch (action){
            case _quit:
                activity.finish();
                return true;
        }
        return false;
    }

}
